imports: 
  - 
    resource: parameters.yaml

parameters: 
  locale: en
services: 
  App\: 
    exclude: "../src/{Entity,Migrations,Tests,Kernel.php}"
    resource: ../src/*
  App\Controller\: 
    resource: ../src/Controller
    tags: 
      - controller.service_arguments
  App\DQL\Dattodt: 
    arguments: 
      $name: Dattodt
  App\DQL\IsDate: 
    arguments: 
      $name: IsDate
  App\DQL\IsNull: 
    arguments: 
      $name: IsNull
  Symfony\Component\Config\FileLocatorInterface: "@file_locator"
  _defaults: 
    autoconfigure: true
    autowire: true
    public: true
  app.api_exception_listener: 
    arguments: 
      - "@jms_serializer"
      - "@monolog.logger"
      - "@request_stack"
    class: App\EventListener\ApiExceptionListener
    tags: 
      - 
        event: kernel.exception
        name: kernel.event_listener
  app_annotation_driver: 
    arguments: 
      - "@annotation_reader"
      - "@service_container"
    class: App\Annotation\Driver\AnnotationDriver
    tags: 
      - 
        event: kernel.controller
        method: onKernelController
        name: kernel.event_listener
  controller: 
    arguments: 
      - "@service_container"
    class: App\Controller\Controller
  logger: 
    alias: monolog.logger
    public: true

  App\DBAL\ConnectionWrapper: '@doctrine.dbal.default_connection'